Name:          alex
Summary:       The lexer generator for Haskell
Summary(de):   Ein Lexer-Generator für Haskell
Version:       2.2.0
Release:       0
License:       BSD w/o adv. clause
Group:         Development/Languages/Haskell
Packager:      Herbert Graeber <herbert@graeber-clan.de>
URL:           http://www.haskell.org/alex/
Source:        http://www.haskell.org/alex/dist/%{version}/alex-%{version}.tar.gz
BuildRequires: ghc
BuildRequires: libxslt
BuildRequires: sgml-skel
BuildRequires: docbook-xsl-stylesheets
BuildRequires: docbook-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Prefix:        /usr

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool 'lex' or 'flex' for C/C++.

%description -l de
Alex ist ein Tool zum Erzeugen von lexkialischen Analysatoren. Er erzeugt
aus eine Beschreibung von Symbolen durch regul�re Ausdr�cke ein
Haskell-Modul, das aus einem Text eine Folge von Symbolen erzeugt. Alex ist
ein vergleichbar mit 'lex' bzw. 'flex' f�r C und C++.

%package doc
Summary:       Alex Documentation
Summary(de):   Alex-Dokumentation
Group:         Development/Languages/Haskell

%description doc
This is the documentation for Alex, a lexical analyser generator for Haskell.

%description doc -l de
Dieses ist Dokumentation f�r Alex.

%prep
%setup -q -n alex-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
runhaskell Setup.lhs configure --prefix=%{_prefix} --libdir=%{_libdir} --datadir=%{_datadir} \
	--libexecdir=%{_prefix}/lib
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
./configure
make html

%install
runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}

%files
%defattr (-,root,root)
%doc ANNOUNCE
%doc LICENSE
%doc README
%doc TODO
%{_bindir}/alex
%{_datadir}/alex-%{version}

%files doc
%defattr (-,root, root)
%doc examples
%doc doc/alex

%changelog
* Thu Nov 15 2007 Herbert Graeber <herbert@links2linux.de>
- Update to version 2.2.0
  * Cabal 1.2 is now required.
  * ByteString wrappers: use Alex to lex ByteStrings directly.

* Thu Jan 18 2007 Herbert Graeber <herbert@links2linux.de>
- Update to version 2.1.0

* Wed Sep 06 2006 Herbert Graeber <herbert@links2linux.de>
- Haddock isn't needed for build

* Mon Sep 04 2006 Herbert Graeber <herbert@links2linux.de>
- Use docbook-utils for html documentation
- Require sgml-skel for build

* Tue Aug 29 2006 - Herbert Graeber <herbert@links2linux.de>
- Disabled ps documentation (no fop without java)

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Enabled full documentation build

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Move to the SUSE Build Service
- Disabled extended documentation for the first build

* Thu Apr 20 2006 - Herbert Graeber <herbert@links2linux.de>
- Rebuild with GHC 6.4.2

* Wed Sep 21 2005 - Herbert Graeber <herbert@links2linux.de>
- Recompiled with ghc 6.4.1

* Wed Apr 20 2005 - Herbert Graeber <herbert@links2linux.de>
- Changes for x86_64

* Thu Apr 07 2005 - Herbert Graeber <herbert@links2linux.de>
- update to version 2.0.1 for ghc 6.4 compatibility
